import { AbstractControl } from "@angular/forms";
import { FieldType } from "@seniorsistemas/angular-components";
export declare const mergeUnique: (array: string[], otherArray: string[]) => string[];
export declare const isValidFilter: (type: FieldType, value: any) => boolean;
export declare const getTypeInformation: (type: FieldType, value: any) => {
    isValidValue: any;
    typeExists: boolean;
};
export declare const convertMinutesToTime: (minutes: string, monthMinute?: boolean) => string | number;
export declare const convertTimeToMinutes: (time: any) => number;
export declare const mergeDateTime: (date: Date, hour: Date) => Date;
export declare class TimeConversionUtils {
    private static HOUR_IN_MINUTES;
    static convertHoursFromDateAsMinutes(date: Date): number;
    static convertMinuteToTime(minutes: number): Date;
}
/**
 * Recebe um valor de 1 a 5 digitos e transforma em uma string de horas
 * @param time valor a ser completado
 * @returns valor completo
 */
export declare function timeAutocomplete(time: number | string): string;
/**
 * Recebe um valor formata-o para um valor de horas e seta control enviado.
 * Usado para realizar o autocomplete em campos de hora do tipo inputMask, para funcionamento adequado do método
 * é necessário setar a propriedade [autoClear]="false"
 * @param hour valor a ser formatado
 * @param inputMask Control a setar o valor
 */
export declare function setHourInputMask(hour: number | string, inputMask: AbstractControl): void;
/**
 * Recebe um valor formata-o para um valor de horas, converte para um Date e seta no control enviado
 * Usado para realizar autocomplete em campos de hora do tipo calendar, para funcionamento adequado do método
 * é necessário setar a propridade [keepInvalid]="true"
 * @param hour valor a ser formatado
 * @param calendar Control a setar o valor
 */
export declare function setHourCalendar(hour: string, calendar: AbstractControl): void;
